/***************************************************************************
 * CLASS:		MiscDVInspector 	(MiscDragViewInspector)
 * PROGRAMMER:	Todd Thomas			todd@avocado.cuc.ab.ca
 * DATE:		Dec 10, 1993
 * Copyright (C) 1995 Robert Todd Thomas
 * Use is governed by the MiscKit license
 *
 *	Allows you to set a few of the dragging options. 
 *
 ***************************************************************************/

#import <appkit/appkit.h>

#import <apps/InterfaceBuilder.h>


@interface MiscDVInspector : IBInspector
{
    id	optionMatrix;
	id  borderMatrix;
	id  iconMatrix;
}

- init;
- revert: sender;
- optionsChanged: sender;
- borderChanged: sender;
- iconsChanged: sender;
- (BOOL)wantsButtons;

@end


@interface MiscDragView (IBInspector)
- (const char *)getInspectorClassName;
@end
@interface MiscIconWell (IBInspector)
- (const char *)getInspectorClassName;
@end

@interface MiscIWInspector : IBInspector
{	id	optionMatrix;
	id  borderMatrix;
	id  iconMatrix;
}

- init;
- revert: sender;
- optionsChanged: sender;
- borderChanged: sender;
- iconsChanged: sender;
- (BOOL)wantsButtons;

@end
